openapi: 3.0.0
info:
  description: >-
    Mend's enhanced Container Image API enables automation of workflows. The API
    features:

    + Access for any user with Mend credentials, via a user key available in the
    user's profile page in the Mend Application.

    + Added scalability with support for pagination, filtering and sorting
    search results.

    + Broader functionality available programmatically.

    + New standard API documentation for easy navigation and search.


    If you have a dedicated instance of Mend, contact your Mend representative
    to access this API on your instance.

    To access your base URL for API calls go to the **Mend Application > Cloud
    Native**.
  title: Mend Container Image API
  contact: {}
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '2.0'
paths:
  /orguuid/{orguuid}/integrations:
    get:
      security:
        - bearer-security: []
      description: Get Kubernetes integrations list
      tags:
        - Kubernetes
      summary: Get Kubernetes integrations list
      parameters:
        - description: organization uuid
          name: orguuid
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Data field refers to a list of objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.BasePartialResponse'
  /orguuid/{orguuid}/integrations/{integrationuuid}/clusters/{clusteruuid}:
    get:
      security:
        - bearer-security: []
      description: Get cluster from Kubernetes integration
      tags:
        - Kubernetes
      summary: Get cluster from Kubernetes integration
      parameters:
        - description: organization uuid
          name: orguuid
          in: path
          required: true
          schema:
            type: string
        - description: kubernetes integration UUID
          name: integrationuuid
          in: path
          required: true
          schema:
            type: string
        - description: cluster UUID
          name: clusteruuid
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Cluster data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/model.Cluster'
  /orguuid/{orguuid}/integrations/{uuid}/clusters:
    get:
      security:
        - bearer-security: []
      description: Get clusters from Kubernetes integration
      tags:
        - Kubernetes
      summary: Get clusters from Kubernetes integration
      parameters:
        - description: organization uuid
          name: orguuid
          in: path
          required: true
          schema:
            type: string
        - description: kubernetes integration UUID
          name: uuid
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Data field refers to a list of objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.BaseApiResponseV2'
  /orguuid/{orguuid}/k8s/clusters/delete:
    post:
      security:
        - bearer-security: []
      description: Delete clusters from Kubernetes integration
      tags:
        - Kubernetes
      summary: Delete clusters from Kubernetes integrations
      parameters:
        - description: organization UUID
          name: orguuid
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          '*/*':
            schema:
              type: array
              items:
                $ref: '#/components/schemas/model.Cluster'
        description: Clusters to be deleted from the integration
        required: true
      responses:
        '200':
          description: Data field refers to a list of objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.BasePartialResponse'
  /orguuid/{orguuid}/k8s/integrations:
    post:
      security:
        - bearer-security: []
      description: Create integration with Kubernetes
      tags:
        - Kubernetes
      summary: Create integration with Kubernetes
      parameters:
        - description: organization uuid
          name: orguuid
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/model.KubernetesIntegration'
        description: Integration to create
        required: true
      responses:
        '201':
          description: Data field refers to a list of objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.BasePartialResponse'
  /orguuid/{orguuid}/k8s/integrations/delete:
    post:
      security:
        - bearer-security: []
      description: Delete Kubernetes integrations
      tags:
        - Kubernetes
      summary: Delete Kubernetes integrations
      parameters:
        - description: organization UUID
          name: orguuid
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          '*/*':
            schema:
              type: array
              items:
                $ref: '#/components/schemas/model.KubernetesIntegration'
        description: Integrations UUID's to delete
        required: true
      responses:
        '200':
          description: Data field refers to a list of objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.BasePartialResponse'
  /orguuid/{orguuid}/k8s/integrations/scan:
    post:
      security:
        - bearer-security: []
      description: Scan all clusters in Kubernetes integration
      tags:
        - Kubernetes
      summary: Scan all clusters in Kubernetes integration
      parameters:
        - description: organization uuid
          name: orguuid
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          '*/*':
            schema:
              type: array
              items:
                $ref: '#/components/schemas/model.KubernetesIntegration'
        description: Integrations UUID's to scan
        required: true
      responses:
        '200':
          description: Data field refers to a list of objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.BasePartialResponse'
  /orguuid/{orguuid}/k8s/integrations/{uuid}/clusters:
    post:
      security:
        - bearer-security: []
      description: Add clusters to existing Kubernetes integration
      tags:
        - Kubernetes
      summary: Add clusters to existing Kubernetes integration
      parameters:
        - description: organization UUID
          name: orguuid
          in: path
          required: true
          schema:
            type: string
        - description: kubernetes integration UUID
          name: uuid
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          '*/*':
            schema:
              type: array
              items:
                $ref: '#/components/schemas/model.Cluster'
        description: Clusters to be added into the integration
        required: true
      responses:
        '200':
          description: Data field refers to a list of objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.BasePartialResponse'
  /orguuid/{orguuid}/k8s/integrations/{uuid}/clusters/all:
    post:
      security:
        - bearer-security: []
      description: Add all clusters to existing Kubernetes integration
      tags:
        - Kubernetes
      summary: Add all clusters to existing Kubernetes integration
      parameters:
        - description: organization uuid
          name: orguuid
          in: path
          required: true
          schema:
            type: string
        - description: kubernetes integration UUID
          name: uuid
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Data field refers to a list of objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.BasePartialResponse'
  /orguuid/{orguuid}/packages/{packageuuid}/copyrights:
    get:
      security:
        - bearer-security: []
      description: Get the package copyrights
      tags:
        - Compliance
      summary: Get Package Copyrights
      parameters:
        - description: organization UUID
          name: orguuid
          in: path
          required: true
          schema:
            type: string
        - description: package UUID
          name: packageuuid
          in: path
          required: true
          schema:
            type: string
        - description: sort by
          name: sort
          in: query
          schema:
            type: string
        - description: order sorting, possible values are asc/desc
          name: order
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Data field refers to a list of objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.BaseApiResponseV2'
    put:
      security:
        - bearer-security: []
      description: Update package copyrights
      tags:
        - Compliance
      summary: Update Package Copyrights
      parameters:
        - description: organization UUID
          name: orguuid
          in: path
          required: true
          schema:
            type: string
        - description: package UUID
          name: packageuuid
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: >-
                  #/components/schemas/github_com_mend_cloud-native_modules_common_model.CopyrightFindingModification
        description: copyrights to update
        required: true
      responses:
        '200':
          description: Data field refers to a list of objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.BaseApiResponseV2'
    delete:
      security:
        - bearer-security: []
      description: Delete package copyrights
      tags:
        - Compliance
      summary: Delete Package Copyrights
      parameters:
        - description: organization UUID
          name: orguuid
          in: path
          required: true
          schema:
            type: string
        - description: package UUID
          name: packageuuid
          in: path
          required: true
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/inputs.DeleteComplianceInput'
      responses:
        '200':
          description: Data field refers to a list of objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.BaseApiResponseV2'
  /orguuid/{orguuid}/packages/{packageuuid}/copyrights/revert:
    put:
      security:
        - bearer-security: []
      description: Revert package copyrights
      tags:
        - Compliance
      summary: Revert Package Copyrights
      parameters:
        - description: organization UUID
          name: orguuid
          in: path
          required: true
          schema:
            type: string
        - description: package UUID
          name: packageuuid
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Data field refers to a list of objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.BaseApiResponseV2'
  /orguuid/{orguuid}/packages/{packageuuid}/info:
    get:
      security:
        - bearer-security: []
      description: Get the package info
      tags:
        - Compliance
      summary: Get Package Info
      parameters:
        - description: organization UUID
          name: orguuid
          in: path
          required: true
          schema:
            type: string
        - description: package UUID
          name: packageuuid
          in: path
          required: true
          schema:
            type: string
        - description: sort by
          name: sort
          in: query
          schema:
            type: string
        - description: order sorting, possible values are asc/desc
          name: order
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Data field refers to a list of objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.BaseApiResponseV2'
    put:
      security:
        - bearer-security: []
      description: Update package info
      tags:
        - Compliance
      summary: Update Package Info
      parameters:
        - description: organization UUID
          name: orguuid
          in: path
          required: true
          schema:
            type: string
        - description: package UUID
          name: packageuuid
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: >-
                  #/components/schemas/github_com_mend_cloud-native_modules_common_model.PackageModifications
        description: info to update
        required: true
      responses:
        '200':
          description: Data field refers to a list of objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.BaseApiResponseV2'
  /orguuid/{orguuid}/packages/{packageuuid}/licenses:
    get:
      security:
        - bearer-security: []
      description: Get the pacakge licenses
      tags:
        - Compliance
      summary: Get Package Licenses
      parameters:
        - description: organization UUID
          name: orguuid
          in: path
          required: true
          schema:
            type: string
        - description: package UUID
          name: packageuuid
          in: path
          required: true
          schema:
            type: string
        - description: sort by
          name: sort
          in: query
          schema:
            type: string
        - description: order sorting, possible values are asc/desc
          name: order
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Data field refers to a list of objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.BaseApiResponseV2'
    put:
      security:
        - bearer-security: []
      description: Update package licenses
      tags:
        - Compliance
      summary: Update Package Licenses
      parameters:
        - description: organization UUID
          name: orguuid
          in: path
          required: true
          schema:
            type: string
        - description: package UUID
          name: packageuuid
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: >-
                  #/components/schemas/github_com_mend_cloud-native_modules_common_model.LicenseFindingModification
        description: licenses to update
        required: true
      responses:
        '200':
          description: Data field refers to a list of objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.BaseApiResponseV2'
    delete:
      security:
        - bearer-security: []
      description: Delete package licenses
      tags:
        - Compliance
      summary: Delete Package Licenses
      parameters:
        - description: organization UUID
          name: orguuid
          in: path
          required: true
          schema:
            type: string
        - description: package UUID
          name: packageuuid
          in: path
          required: true
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/inputs.DeleteComplianceInput'
      responses:
        '200':
          description: Data field refers to a list of objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.BaseApiResponseV2'
  /orguuid/{orguuid}/packages/{packageuuid}/licenses/revert:
    put:
      security:
        - bearer-security: []
      description: Revert package licenses
      tags:
        - Compliance
      summary: Revert Package Licenses
      parameters:
        - description: organization UUID
          name: orguuid
          in: path
          required: true
          schema:
            type: string
        - description: package UUID
          name: packageuuid
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Data field refers to a list of objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.BaseApiResponseV2'
  /orguuid/{orguuid}/projects/{projectuuid}/images:
    get:
      security:
        - bearer-security: []
      description: Get the image of the project
      tags:
        - Images
      summary: Get Images
      parameters:
        - description: organization UUID
          name: orguuid
          in: path
          required: true
          schema:
            type: string
        - description: project UUID
          name: projectuuid
          in: path
          required: true
          schema:
            type: string
        - description: sorted by, default is lastScanDate
          name: sort
          in: query
          schema:
            type: string
            default: lastScanDate
        - description: order sorting, possible values are asc/desc
          name: order
          in: query
          schema:
            type: string
            default: desc
        - description: page number
          name: page
          in: query
          schema:
            type: integer
            default: 1
        - description: number of objects per page
          name: size
          in: query
          schema:
            type: integer
            default: 1000
        - description: one or more image registries names separated by commas
          name: registries
          in: query
          schema:
            type: string
        - description: one or more image repositories names separated by commas
          name: repositories
          in: query
          schema:
            type: string
        - description: image tags
          name: tags
          in: query
          schema:
            type: string
        - description: image source
          name: imageSource
          in: query
          schema:
            type: string
        - description: image max risk score
          name: maxRiskScore
          in: query
          schema:
            type: string
        - description: image last scan date
          name: lastScanDate
          in: query
          schema:
            type: string
        - description: is violated policies
          name: isViolated
          in: query
          schema:
            type: boolean
      responses:
        '200':
          description: Data field refers to a list of objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.BaseApiResponseV2'
  /orguuid/{orguuid}/projects/{projectuuid}/images/findings:
    get:
      security:
        - bearer-security: []
      description: Get the image vulnerabilities
      tags:
        - Images
      summary: Get Image vulnerabilities
      parameters:
        - description: organization UUID
          name: orguuid
          in: path
          required: true
          schema:
            type: string
        - description: project UUID
          name: projectuuid
          in: path
          required: true
          schema:
            type: string
        - description: sort by
          name: sort
          in: query
          schema:
            type: string
        - description: order sorting, possible values are asc/desc
          name: order
          in: query
          schema:
            type: string
        - description: page number
          name: page
          in: query
          schema:
            type: integer
            default: 1
        - description: number of objects per page
          name: size
          in: query
          schema:
            type: integer
            default: 1000
        - description: is only OS packages
          name: onlyOs
          in: query
          schema:
            type: boolean
        - description: has fix
          name: withFix
          in: query
          schema:
            type: boolean
        - description: vendor severity filter
          name: severity
          in: query
          schema:
            type: string
        - description: exclude vulnerabilities from base Layers
          name: excludeBaseLayers
          in: query
          schema:
            type: boolean
      responses:
        '200':
          description: Data field refers to a list of objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.BaseApiResponseV2'
  /orguuid/{orguuid}/projects/{projectuuid}/images/layers/{layeruuid}/findings:
    get:
      security:
        - bearer-security: []
      description: Get the image layers
      tags:
        - Images
      summary: Get image layers
      parameters:
        - description: organization UUID
          name: orguuid
          in: path
          required: true
          schema:
            type: string
        - description: project UUID
          name: projectuuid
          in: path
          required: true
          schema:
            type: string
        - description: layer UUID
          name: layeruuid
          in: path
          required: true
          schema:
            type: string
        - description: sort by
          name: sort
          in: query
          schema:
            type: string
        - description: order sorting, possible values are asc/desc
          name: order
          in: query
          schema:
            type: string
        - description: page number
          name: page
          in: query
          schema:
            type: integer
            default: 1
        - description: number of objects per page
          name: size
          in: query
          schema:
            type: integer
            default: 1000
        - description: exclude base Layers
          name: excludeBaseLayers
          in: query
          schema:
            type: boolean
      responses:
        '200':
          description: Data field refers to a list of objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.BaseApiResponseV2'
  /orguuid/{orguuid}/projects/{projectuuid}/images/packages:
    get:
      security:
        - bearer-security: []
      description: Get the image packages
      tags:
        - Images
      summary: Get image packages
      parameters:
        - description: organization UUID
          name: orguuid
          in: path
          required: true
          schema:
            type: string
        - description: project UUID
          name: projectuuid
          in: path
          required: true
          schema:
            type: string
        - description: sort by
          name: sort
          in: query
          schema:
            type: string
        - description: order sorting, possible values are asc/desc
          name: order
          in: query
          schema:
            type: string
        - description: page number
          name: page
          in: query
          schema:
            type: integer
            default: 1
        - description: number of objects per page
          name: size
          in: query
          schema:
            type: integer
            default: 1000
        - description: is only OS packages
          name: onlyOs
          in: query
          schema:
            type: boolean
        - description: exclude packages from base Layers
          name: excludeBaseLayers
          in: query
          schema:
            type: boolean
      responses:
        '200':
          description: Data field refers to a list of objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.BaseApiResponseV2'
  /orguuid/{orguuid}/projects/{projectuuid}/images/secrets:
    get:
      security:
        - bearer-security: []
      description: Get the image secrets
      tags:
        - Images
      summary: Get image secrets
      parameters:
        - description: organization UUID
          name: orguuid
          in: path
          required: true
          schema:
            type: string
        - description: project UUID
          name: projectuuid
          in: path
          required: true
          schema:
            type: string
        - description: sort by
          name: sort
          in: query
          schema:
            type: string
        - description: order sorting, possible values are asc/desc
          name: order
          in: query
          schema:
            type: string
        - description: page number
          name: page
          in: query
          schema:
            type: integer
            default: 1
        - description: number of objects per page
          name: size
          in: query
          schema:
            type: integer
            default: 1000
        - description: vendor severity filter
          name: severity
          in: query
          schema:
            type: string
        - description: exclude secrets from base Layers
          name: excludeBaseLayers
          in: query
          schema:
            type: boolean
      responses:
        '200':
          description: Data field refers to a list of objects
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/common.BaseApiResponseV2'
  /orguuid/{orguuid}/projects/{projectuuid}/images/{scanuuid}:
    get:
      security:
        - bearer-security: []
      description: Get a specific image
      tags:
        - Images
      summary: Get image
      parameters:
        - description: organization UUID
          name: orguuid
          in: path
          required: true
          schema:
            type: string
        - description: project UUID
          name: projectuuid
          in: path
          required: true
          schema:
            type: string
        - description: scan UUID
          name: scanuuid
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Data field refers to a list of objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.BaseApiResponseV2'
  /orguuid/{orguuid}/projects/{projectuuid}/images/{scanuuid}/deployments:
    get:
      security:
        - bearer-security: []
      description: Get image/project/application deployment data
      tags:
        - Images
      summary: Get image/project/application deployment data
      parameters:
        - description: organization UUID
          name: orguuid
          in: path
          required: true
          schema:
            type: string
        - description: project UUID
          name: projectuuid
          in: path
          required: true
          schema:
            type: string
        - description: application UUID
          name: applicationuuid
          in: path
          required: true
          schema:
            type: string
        - description: scan UUID
          name: scanuuid
          in: path
          required: true
          schema:
            type: string
        - description: sort by
          name: sort
          in: query
          schema:
            type: string
        - description: order sorting, possible values are asc/desc
          name: order
          in: query
          schema:
            type: string
        - description: page number
          name: page
          in: query
          schema:
            type: integer
            default: 1
        - description: number of objects per page
          name: size
          in: query
          schema:
            type: integer
            default: 1000
      responses:
        '200':
          description: Data field refers to a list of objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.BaseApiResponseV2'
  /orguuid/{orguuid}/projects/{projectuuid}/images/{scanuuid}/layers:
    get:
      security:
        - bearer-security: []
      description: Get the image layers
      tags:
        - Images
      summary: Get image layers
      parameters:
        - description: organization UUID
          name: orguuid
          in: path
          required: true
          schema:
            type: string
        - description: project UUID
          name: projectuuid
          in: path
          required: true
          schema:
            type: string
        - description: scan UUID
          name: scanuuid
          in: path
          required: true
          schema:
            type: string
        - description: sort by
          name: sort
          in: query
          schema:
            type: string
        - description: order sorting, possible values are asc/desc
          name: order
          in: query
          schema:
            type: string
        - description: page number
          name: page
          in: query
          schema:
            type: integer
            default: 1
        - description: number of objects per page
          name: size
          in: query
          schema:
            type: integer
            default: 1000
        - description: exclude base Layers
          name: excludeBaseLayers
          in: query
          schema:
            type: boolean
      responses:
        '200':
          description: Data field refers to a list of objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.BaseApiResponseV2'
  /orguuid/{orguuid}/projects/{projectuuid}/images/{scanuuid}/layers/{layeruuid}/findings:
    get:
      security:
        - bearer-security: []
      description: Get the specific image layer vulnerabilities
      tags:
        - Images
      summary: Get image layers findings
      parameters:
        - description: organization UUID
          name: orguuid
          in: path
          required: true
          schema:
            type: string
        - description: project UUID
          name: projectuuid
          in: path
          required: true
          schema:
            type: string
        - description: scan UUID
          name: scanuuid
          in: path
          required: true
          schema:
            type: string
        - description: layer UUID
          name: layeruuid
          in: path
          required: true
          schema:
            type: string
        - description: is only OS packages
          name: onlyOs
          in: query
          schema:
            type: boolean
        - description: has fix
          name: withFix
          in: query
          schema:
            type: boolean
      responses:
        '200':
          description: Data field refers to a list of objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.BaseApiResponseV2'
  /orguuid/{orguuid}/projects/{projectuuid}/images/{scanuuid}/layers/{layeruuid}/secrets:
    get:
      security:
        - bearer-security: []
      description: Get the specific image layer secrets
      tags:
        - Images
      summary: Get image layer secrets
      parameters:
        - description: organization UUID
          name: orguuid
          in: path
          required: true
          schema:
            type: string
        - description: scan UUID
          name: scanuuid
          in: path
          required: true
          schema:
            type: string
        - description: layer UUID
          name: layeruuid
          in: path
          required: true
          schema:
            type: string
        - description: page number
          name: page
          in: query
          schema:
            type: integer
            default: 1
        - description: number of objects per page
          name: size
          in: query
          schema:
            type: integer
            default: 1000
      responses:
        '200':
          description: Data field refers to a list of objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.BaseApiResponseV2'
  /orguuid/{orguuid}/projects/{projectuuid}/images/{scanuuid}/packages:
    get:
      security:
        - bearer-security: []
      description: Get the image packages
      tags:
        - Images
      summary: Get image packages
      parameters:
        - description: organization UUID
          name: orguuid
          in: path
          required: true
          schema:
            type: string
        - description: project UUID
          name: projectuuid
          in: path
          required: true
          schema:
            type: string
        - description: scan UUID
          name: scanuuid
          in: path
          required: true
          schema:
            type: string
        - description: sort by
          name: sort
          in: query
          schema:
            type: string
        - description: order sorting, possible values are asc/desc
          name: order
          in: query
          schema:
            type: string
        - description: page number
          name: page
          in: query
          schema:
            type: integer
            default: 1
        - description: number of objects per page
          name: size
          in: query
          schema:
            type: integer
            default: 1000
        - description: is only OS packages
          name: onlyOs
          in: query
          schema:
            type: boolean
        - description: exclude packages from base Layers
          name: excludeBaseLayers
          in: query
          schema:
            type: boolean
        - description: reachability statuses
          name: reachabilityStatuses
          in: query
          style: form
          explode: false
          schema:
            type: array
            items:
              type: string
        - description: min reachability confidence
          name: minReachabilityConfidence
          in: query
          schema:
            type: number
        - description: max reachability confidence
          name: maxReachabilityConfidence
          in: query
          schema:
            type: number
      responses:
        '200':
          description: Data field refers to a list of objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.BaseApiResponseV2'
  /orguuid/{orguuid}/projects/{projectuuid}/images/{scanuuid}/packages/{packageuuid}/reachability:
    get:
      security:
        - bearer-security: []
      description: Get reachability info for a specific package
      tags:
        - Images
      summary: Get reachability info for a specific package
      parameters:
        - description: organization uuid
          name: orguuid
          in: path
          required: true
          schema:
            type: string
        - description: scan UUID
          name: scanuuid
          in: path
          required: true
          schema:
            type: string
        - description: package UUID
          name: pkguuid
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Data field refers to a list of objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.BaseApiResponseV2'
  /orguuid/{orguuid}/projects/{projectuuid}/images/{scanuuid}/secrets:
    get:
      security:
        - bearer-security: []
      description: Get the image secrets
      tags:
        - Images
      summary: Get image secrets
      parameters:
        - description: organization UUID
          name: orguuid
          in: path
          required: true
          schema:
            type: string
        - description: project UUID
          name: projectuuid
          in: path
          required: true
          schema:
            type: string
        - description: scan UUID
          name: scanuuid
          in: path
          required: true
          schema:
            type: string
        - description: sort by
          name: sort
          in: query
          schema:
            type: string
        - description: order sorting, possible values are asc/desc
          name: order
          in: query
          schema:
            type: string
        - description: page number
          name: page
          in: query
          schema:
            type: integer
            default: 1
        - description: number of objects per page
          name: size
          in: query
          schema:
            type: integer
            default: 1000
        - description: vendor severity filter
          name: severity
          in: query
          schema:
            type: string
        - description: exclude secrets from base Layers
          name: excludeBaseLayers
          in: query
          schema:
            type: boolean
      responses:
        '200':
          description: Data field refers to a list of objects
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/common.BaseApiResponseV2'
  /orguuid/{orguuid}/projects/{projectuuid}/images/{scanuuid}/vulnerabilities:
    get:
      security:
        - bearer-security: []
      description: Get the scan vulnerabilities
      tags:
        - Images
      summary: Get Scan vulnerabilities
      parameters:
        - description: organization UUID
          name: orguuid
          in: path
          required: true
          schema:
            type: string
        - description: project UUID
          name: projectuuid
          in: path
          required: true
          schema:
            type: string
        - description: scan UUID
          name: scanuuid
          in: path
          required: true
          schema:
            type: string
        - description: sort by
          name: sort
          in: query
          schema:
            type: string
        - description: order sorting, possible values are asc/desc
          name: order
          in: query
          schema:
            type: string
        - description: page number
          name: page
          in: query
          schema:
            type: integer
            default: 1
        - description: number of objects per page
          name: size
          in: query
          schema:
            type: integer
            default: 1000
        - description: is only OS packages
          name: onlyOs
          in: query
          schema:
            type: boolean
        - description: has fix
          name: withFix
          in: query
          schema:
            type: boolean
        - description: vendor severity filter
          name: severity
          in: query
          schema:
            type: string
        - description: exclude vulnerabilities from base Layers
          name: excludeBaseLayers
          in: query
          schema:
            type: boolean
        - description: reachability statuses
          name: reachabilityStatuses
          in: query
          style: form
          explode: false
          schema:
            type: array
            items:
              type: string
        - description: min reachability confidence
          name: minReachabilityConfidence
          in: query
          schema:
            type: number
        - description: max reachability confidence
          name: maxReachabilityConfidence
          in: query
          schema:
            type: number
      responses:
        '200':
          description: Data field refers to a list of objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.BaseApiResponseV2'
  /orguuid/{orguuid}/projects/{projectuuid}/packages/{packageuuid}/vulnerabilities:
    get:
      security:
        - bearer-security: []
      description: Get the package vulnerabilities
      tags:
        - Images
      summary: Get Package vulnerabilities
      parameters:
        - description: organization UUID
          name: orguuid
          in: path
          required: true
          schema:
            type: string
        - description: project UUID
          name: projectuuid
          in: path
          required: true
          schema:
            type: string
        - description: package UUID
          name: packageuuid
          in: path
          required: true
          schema:
            type: string
        - description: sort by
          name: sort
          in: query
          schema:
            type: string
        - description: order sorting, possible values are asc/desc
          name: order
          in: query
          schema:
            type: string
        - description: page number
          name: page
          in: query
          schema:
            type: integer
            default: 1
        - description: number of objects per page
          name: size
          in: query
          schema:
            type: integer
            default: 1000
        - description: vendor severity filter
          name: severity
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Data field refers to a list of objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.BaseApiResponseV2'
  /orguuid/{orguuid}/registries:
    get:
      security:
        - bearer-security: []
      description: Get the org registries
      tags:
        - Registry
      summary: Get registries
      parameters:
        - description: organization UUID
          name: orguuid
          in: path
          required: true
          schema:
            type: string
        - description: sort by
          name: sort
          in: query
          schema:
            type: string
        - description: order sorting, possible values are asc/desc
          name: order
          in: query
          schema:
            type: string
        - description: page number
          name: page
          in: query
          schema:
            type: integer
            default: 1
        - description: number of objects per page
          name: size
          in: query
          schema:
            type: integer
            default: 1000
      responses:
        '200':
          description: Data field refers to a list of objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.BaseApiResponseV2'
  /orguuid/{orguuid}/registries/delete:
    post:
      security:
        - bearer-security: []
      description: Delete registries of a given org
      tags:
        - Registry
      summary: Delete registries
      parameters:
        - description: organization UUID
          name: orguuid
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Data field refers to a list of objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.BaseApiResponseV2'
  /orguuid/{orguuid}/registries/scan:
    post:
      security:
        - bearer-security: []
      description: Scan registries of a given org
      tags:
        - Registry
      summary: Scan registries
      parameters:
        - description: organization UUID
          name: orguuid
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/inputs.ScanRegistryInput'
        description: Registries to be scanned
        required: true
      responses:
        '200':
          description: Data field refers to a list of objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.BaseApiResponseV2'
  /orguuid/{orguuid}/registries/{uuid}:
    get:
      security:
        - bearer-security: []
      description: Get a specific registry
      tags:
        - Registry
      summary: Get registry
      parameters:
        - description: organization UUID
          name: orguuid
          in: path
          required: true
          schema:
            type: string
        - description: registry UUID
          name: uuid
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Data field refers to a list of objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.BaseApiResponseV2'
    put:
      security:
        - bearer-security: []
      description: Update a specific registry
      tags:
        - Registry
      summary: Update registry
      parameters:
        - description: organization UUID
          name: orguuid
          in: path
          required: true
          schema:
            type: string
        - description: registry UUID
          name: uuid
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Data field refers to a list of objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.BaseApiResponseV2'
    delete:
      security:
        - bearer-security: []
      description: Delete a specific registry
      tags:
        - Registry
      summary: Delete registry
      parameters:
        - description: organization UUID
          name: orguuid
          in: path
          required: true
          schema:
            type: string
        - description: registry UUID
          name: uuid
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Data field refers to a list of objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.BaseApiResponseV2'
  /orguuid/{orguuid}/runtime/integrations:
    get:
      security:
        - bearer-security: []
      description: List 3rd party runtime integrations
      tags:
        - Runtime
      summary: List all organization level 3rd party runtime integration
      parameters:
        - description: organization uuid
          name: orguuid
          in: path
          required: true
          schema:
            type: string
      responses:
        '201':
          description: Data field refers to a list of objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.BasePartialResponse'
    put:
      security:
        - bearer-security: []
      description: Update 3rd party runtime integration
      tags:
        - Runtime
      summary: Update 3rd party runtime integration
      parameters:
        - description: organization uuid
          name: orguuid
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          '*/*':
            schema:
              $ref: >-
                #/components/schemas/github_com_mend_cloud-native_modules_common_model.RuntimeIntegration
        description: Integration to update
        required: true
      responses:
        '201':
          description: Data field refers to a list of objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.BasePartialResponse'
    post:
      security:
        - bearer-security: []
      description: Create 3rd party runtime integration
      tags:
        - Runtime
      summary: Create 3rd party runtime integration
      parameters:
        - description: organization uuid
          name: orguuid
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          '*/*':
            schema:
              $ref: >-
                #/components/schemas/github_com_mend_cloud-native_modules_common_model.RuntimeIntegration
        description: Integration to create
        required: true
      responses:
        '201':
          description: Data field refers to a list of objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.BasePartialResponse'
  /orguuid/{orguuid}/runtime/integrations/delete:
    post:
      security:
        - bearer-security: []
      description: Delete 3rd party runtime integration(s)
      tags:
        - Runtime
      summary: Delete one or more organization level 3rd party runtime integrations
      parameters:
        - description: organization uuid
          name: orguuid
          in: path
          required: true
          schema:
            type: string
      responses:
        '201':
          description: Data field refers to a remove of objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.BasePartialResponse'
  /orguuid/{orguuid}/runtime/integrations/scan:
    post:
      security:
        - bearer-security: []
      description: Scan 3rd party runtime integration(s)
      tags:
        - Runtime
      summary: Scan one or more organization level 3rd party runtime integrations
      parameters:
        - description: organization uuid
          name: orguuid
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Data field refers to a remove of objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.BasePartialResponse'
  /orguuid/{orguuid}/runtime/integrations/{uuid}:
    get:
      security:
        - bearer-security: []
      description: List 3rd party runtime integrations
      tags:
        - Runtime
      summary: List all organization level 3rd party runtime integration
      parameters:
        - description: organization uuid
          name: orguuid
          in: path
          required: true
          schema:
            type: string
        - description: integration uuid
          name: uuid
          in: path
          required: true
          schema:
            type: string
      responses:
        '201':
          description: Data field refers to a list of objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.BasePartialResponse'
  /orguuid/{orguuid}/runtime/integrations/{uuid}/scan:
    get:
      security:
        - bearer-security: []
      tags:
        - Runtime
      summary: Triggers a scan operation for runtime integration
      parameters:
        - description: organization uuid
          name: orguuid
          in: path
          required: true
          schema:
            type: string
        - description: integration uuid
          name: uuid
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.BasePartialResponse'
servers:
  - url: https://baseUrl/cn/api/v2.0
  - url: http://baseUrl/cn/api/v2.0
components:
  requestBodies:
    inputs.DeleteComplianceInput:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/inputs.DeleteComplianceInput'
      description: licenses names to delete
      required: true
  securitySchemes:
    bearer-security:
      type: apiKey
      name: Authorization
      in: >-
        header (please add Bearer prefix in the value before the actual JWT
        token)
  schemas:
    common.BaseApiResponseV2:
      type: object
      properties:
        additionalInfo:
          $ref: '#/components/schemas/common.Pagination'
        data: {}
    common.BasePartialResponse:
      type: object
      properties:
        data: {}
        errors:
          type: array
          items:
            $ref: '#/components/schemas/common.PartialError'
        status:
          type: object
          additionalProperties:
            type: integer
    common.Pagination:
      type: object
      properties:
        isLastPage:
          type: boolean
        page:
          type: integer
        pageCount:
          type: integer
        pageSize:
          type: integer
          default: 20
        size:
          type: integer
          default: 20
        totalCount:
          type: integer
        totalItems:
          description: To align with platform pagination
          type: integer
    common.PartialError:
      type: object
      properties:
        message:
          type: string
        source:
          type: string
    github_com_mend_cloud-native_modules_common_model.CopyrightFindingModification:
      type: object
      properties:
        copyrightAssignedBy:
          type: string
        copyrightAuthor:
          type: string
        copyrightComment:
          type: string
        copyrightEndYear:
          type: string
        copyrightOrganization:
          type: string
        copyrightStartYear:
          type: string
        copyrightURL:
          type: string
        orgUUID:
          type: string
        packageUUID:
          type: string
    github_com_mend_cloud-native_modules_common_model.LicenseFindingModification:
      type: object
      properties:
        licenseAssignedBy:
          type: string
        licenseComment:
          type: string
        licenseIsCompliant:
          type: boolean
        licenseName:
          type: string
        licenseRiskScore:
          type: integer
        licenseSeverity:
          type: string
        licenseURL:
          type: string
        orgUUID:
          type: string
        packageUUID:
          type: string
    github_com_mend_cloud-native_modules_common_model.PackageModifications:
      type: object
      properties:
        description:
          type: string
        isCompliant:
          type: boolean
        notice:
          type: string
        orgUUID:
          type: string
        packageUUID:
          type: string
    github_com_mend_cloud-native_modules_common_model.RuntimeIntegration:
      type: object
      properties:
        createdAt:
          type: string
        description:
          type: string
        name:
          type: string
        orgUUID:
          type: string
        ownerEmail:
          type: string
        ownerName:
          type: string
        parameters:
          $ref: '#/components/schemas/model.RuntimeIntegrationParameter'
        task:
          $ref: '#/components/schemas/model.TaskExternal'
        type:
          description: 'Type is the actual type of the vendor (like: Sysdig)'
          type: string
        updatedAt:
          type: string
        uuid:
          type: string
    inputs.ComplianceFindingToDelete:
      type: object
      properties:
        copyrights:
          type: array
          items:
            type: string
        licenses:
          type: array
          items:
            type: string
    inputs.DeleteComplianceInput:
      type: object
      properties:
        findingsToDelete:
          $ref: '#/components/schemas/inputs.ComplianceFindingToDelete'
        orgUUID:
          type: string
        packageUUID:
          type: string
    inputs.ScanRegistryInput:
      type: object
      properties:
        uuid:
          type: string
    model.Cluster:
      type: object
      properties:
        createdAt:
          type: string
          example: '2020-01-01T00:00:00Z'
        integrationName:
          type: string
        integrationUUID:
          type: string
        name:
          type: string
        namespaces:
          type: array
          items:
            type: string
        updatedAt:
          type: string
          example: '2020-01-01T00:00:00Z'
        uuid:
          type: string
          example: c4f93b6d-8236-4d0c-a67b-3978def476a3
    model.IntegrationOwner:
      type: object
      properties:
        email:
          type: string
        name:
          type: string
    model.KubernetesIntegration:
      type: object
      properties:
        clusters:
          type: array
          items:
            type: string
        connectedClusters:
          type: integer
        createdAt:
          type: string
          example: '2020-01-01T00:00:00Z'
        description:
          type: string
        environments:
          type: array
          items:
            type: string
        failedClusters:
          type: integer
        kubeconfig:
          type: array
          items:
            type: integer
        kubeconfigPath:
          type: string
        name:
          type: string
        owner:
          $ref: '#/components/schemas/model.IntegrationOwner'
        password:
          type: string
        region:
          type: string
        totalClusters:
          type: integer
        type:
          type: string
        updatedAt:
          type: string
          example: '2020-01-01T00:00:00Z'
        username:
          type: string
        uuid:
          type: string
          example: c4f93b6d-8236-4d0c-a67b-3978def476a3
    model.RuntimeIntegrationParameter:
      type: object
      properties:
        clusters:
          type: array
          items:
            type: string
        email:
          type: string
        token:
          description: 'todo: hide from customers'
          type: string
        url:
          type: string
    model.ScheduledTime:
      type: object
      required:
        - daysCount
        - frequency
        - time
      properties:
        days:
          type: array
          items:
            type: string
        daysCount:
          type: integer
          minimum: 0
        frequency:
          type: string
        time:
          type: string
    model.TaskExternal:
      type: object
      properties:
        isEnabled:
          type: boolean
        scheduledTime:
          $ref: '#/components/schemas/model.ScheduledTime'
